Shutter 4.8 (2024-09-21)
~~~~~~~~~~~~~~~~~~~~~~~~

4.7.0.4 Beta (2024-09-20)
* Add an option to import presets.

4.7.0.3 Beta (2024-07-31)
* Updated Corsican language file. Thanks to Patriccollu di Santa Maria è Sichè.
* Clean up "msgctxt" lines in PO files.

4.7.0.2 Beta (2024-03-18)
* Changed build environment to Lazarus 3.2 + FPC 3.2.2.
* Added Unicode support for operations with the Windows Registry, e.g. shell integration features.
* Changed the template language file from "*.po" to "*.pot".

4.7.0.1 Beta (2024-02-27)
* Updated OpenSSL library bindings. This changes the library version precedence to load newer versions first.
* Updated the bundled OpenSSL library to version 1.1.1w.
* Updated the self-signed SSL certificate with expiry in 2034.
* Updated French language file. Thanks to Largo.
* Updated Simplified Chinese language file. Thanks to Tuwulin.


Shutter 4.7 (2023-11-14)
~~~~~~~~~~~~~~~~~~~~~~~~

* Corrected the tab order of inputs on the Hard Disk Usage event form. Regression introduced in v4.6.0.3 Beta.

4.6.0.3 Beta (2023-10-16)
* Replaced time input controls. Avoid potential negative values.
* Replaced numeric input controls. Offer a greater range of values.
* Minor adjustments to visuals and defaults of events and actions.
* Added Turkish language file. Thanks to Yusuf Can Özdemir.

4.6.0.2 Beta (2023-06-07)
* Added an event for detecting the full screen mode.
* Updated the OpenSSL library to version 1.1.1u.
* Rearranged the start-up sequence to be less dependent on the main form.
* Load the GetSystemTimes function dynamically. Restore base compatibility with Windows 2000.
* Updated Russian language file.

4.6.0.1 Beta (2022-12-28)
* Unicode support for retrieving the logged in user name, enumerating processes and killing processes.
* Removed legacy code for non-Unicode versions of Windows.
* Updated Italian language file. Thanks to Roberto Boriotti and TFR.
* Updated French language file. Thanks to Judet Bruno.


Shutter 4.6 (2022-10-15)
~~~~~~~~~~~~~~~~~~~~~~~~

4.5.0.2 Beta (2022-08-16)
* Implemented an alternative CPU usage monitoring mechanism via GetSystemTimes API. The new mechanism is lightweight and allows multiple independent usage monitor instances. It will be used by default on Windows Vista and later versions.
* Expand environment variables in parameters of suitable events and actions. Affected events: File Size, Program Output. Affected actions: Screen Saver, Screenshot, Play Sound, Run Program, Open File.
* Guess the fallback language code by removing sub-codes, e.g. "en_US" to "en".
* Handle "--lang=xx" command line language specification, in addition to "--lang xx".
* Case insensitive handling of "--lang=xx" and "--lang xx" command line parameters.
* Updated Russian language file.

4.5.0.1 Beta (2022-05-02)
* Implemented the "Restart Apps" feature for Shutdown and Reboot actions.
* Updated French language file. Thanks to Largo.
* Updated Italian language file. Thanks to Roberto Boriotti.
* Updated Corsican language file. Thanks to Patriccollu di Santa Maria è Sichè.


Shutter 4.5 (2022-03-19)
~~~~~~~~~~~~~~~~~~~~~~~~

4.4.0.8 Beta (2021-12-07)
* Added "Port" event for checking if a network port is open or closed.
* Added Hungarian language file. Thanks to Tibor Botfai.
* Added Corsican language file. Thanks to Patriccollu di Santa Maria è Sichè.
* Updated Polish language file. Thanks to Marcin Czerwień.

4.4.0.7 Beta (2021-06-03)
* Implemented an option to keep the display on and prevent screensaver.
* Updated Polish language file. Thanks to Marcin Czerwień.

4.4.0.6 Beta (2020-12-12)
* Fixed: Settings are not saved when terminating the application via the tray icon.
* Fixed: Application is not terminating via the web interface or the planner action when the option to minimize on close is enabled.
* Updated Japanese language file. Thanks to Tilt.

4.4.0.5 Beta (2020-11-14)
* The "Ping Stops" event renamed to simply "Ping".
* New option in the Ping event to trigger when the host is responding, rather than not responding.
* Minimized overheads in the Ping event by using a single continuous thread, instead of one per ping request.
* Improved the feedback from the Ping event by using synchronized ping requests, eliminating potential discrepancies due to overlaps.
* Updated Japanese language file. Thanks to Tilt.
* Updated Russian language file.

4.4.0.4 Beta (2020-10-25)
* New event option to trigger when the file size is below a certain size.
* The event option to trigger when the file size reaches a certain size was changed to trigger when strictly above a certain size. Existing event configurations will continue to work in backwards compatible fashion until edited. 
* Prevent adding new events and actions via a table click when the planner is running.
* Internal optimizations.

4.4.0.3 Beta (2020-09-28)
* Added an option to the User Inactive event to trigger when the user becomes active after a period of inactivity.
* Added an option to open a new instance via the File menu, also accessible via Shift+Ctrl+N shortcut.
* Updated Japanese language file. Thanks to Tilt.
* Updated German language file. Thanks to Marcus Barkhahn.
* Updated Russian language file.

4.4.0.2 Beta (2020-09-03)
* Updated OpenSSL library to version 1.1.1g.
* Use the highest TLS/SSL version mutually supported by the client and the server, including SSLv3, TLSv1, TLSv1.1, TLSv1.2 and TLSv1.3. 
* Older OpenSSL library files are automatically deleted by the installer. If upgrading a portable version, you should manually delete "libeay32.dll" and "ssleay32.dll" files from the application directory.

4.4.0.1 Beta (2020-08-23)
* Implemented "Program Output" event for monitoring the exit code of a program.
* Added Spanish language file. Thanks to José Ramón Pueyo.
* Removed unused text from translation files.
* Updated Russian language file.


Shutter 4.4 (2020-03-31)
~~~~~~~~~~~~~~~~~~~~~~~~

* Do not offer to create desktop shortcut in the installer.

4.3.0.7 Beta (2020-03-28)
* Load product registration code using a file drag and drop.
* Updated Japanese language file. Thanks to Tilt.

4.3.0.6 Beta (2020-03-17)
* Added a working directory setting to the Run Program action.
* Fixed: Missing pixels in the language flag icons. Issue introduced in v4.3.0.4 Beta.
* Updated German language file. Thanks to Marcus Barkhahn.

4.3.0.5 Beta (2019-12-23)
* Implemented continuous monitoring of the Lid closes/opens event.
* Increased the default size of the main window to 500x400px.

4.3.0.4 Beta (2019-12-17)
* Changed build environment to Lazarus 2.0.4 + FPC 3.0.4.

4.3.0.3 Beta (2019-10-05)
* Converted action buttons into a toolbar.
* Fixed: Web interface port check may block the port from further use.
* Ignore incorrectly typed performance counters values in the registry, created by 3rd party software.
* Added Italian language file. Thanks to Vittorio Ierardi.
* Updated Dutch (Belgium) language file. Thanks to DoggyDaddy.
* Updated German language file. Thanks to Michael Weßeling.

4.3.0.2 Beta (2019-01-29)
* Added Polish language file. Thanks to Marcin Czerwień.
* Updated French language file. Thanks to Igor Lachaud.
* Fixed a small typo in the Open File action window.
* Fixed "List index out of bounds" exception when attempting to move down the bottom event/action.
* Automatically scroll the list to view the moved event/action.
* Check performance counters at event frame show rather than at creation. Avoids potential application crash on some broken systems.

4.3.0.1 Beta (2018-10-25)
* Changed build environment to Lazarus 1.8.4 + FPC 3.0.4.
* Enhanced storage path resolution with new path tags and handling of multiple path tags.
* Excluded messages from language files which do not require translation.
* Updated Japanese language file. Thanks to Tilt.
* Updated Simplified Chinese language file. Thanks to WanderMax.


Shutter 4.3 (2018-10-12)
~~~~~~~~~~~~~~~~~~~~~~~~

4.2.0.7 Beta (2018-08-15)
* Renamed "Battery Low" to "Battery" event.
* Added new trigger conditions to the Battery event:
    Power supply state (Online vs Offline);
    Battery level above a specific level;
    Monitor either the battery level or the power supply state, or both.
* Fixed: Do not trigger the Battery event when the battery level is needed but unknown.
* Fixed: Incorrect shortening of non-Latin text in the Message action statement.
* Updated Russian language file.

4.2.0.6 Beta (2018-08-02)
* Added ping interval parameter to the Ping Stops event.
* Increased timeout of the Ping function from 2 to 4 seconds.
  This brings it inline with the default timeout used by the command line PING tool in Windows.
* Updated Russian language file.
* Internal code refactoring.

4.2.0.5 Beta (2018-07-30)
* Fixed: Incorrect reply status interpretation and reply buffer allocation in the Ping function.
* Added Portuguese language file. Thanks to Igor Rückert.
* Cleaned up version history.

4.2.0.4 Beta (2018-05-10)
* Added Slovenian language file. Thanks to Jadran Rudec.
* Added Simplified Chinese language file. Thanks to Wander Max.

4.2.0.3 Beta (2018-03-14)
* Decoupled events and actions from the visual components used for editing their configuration.
* Refactored management operations and structures used by events and actions.
* Fixed access violation error when loading a preset with a large number of events and/or actions.
* Significantly decreased memory footprint of event and action instances.
* Focus on the relevant event/action after editing or adding an item.
* Added context menu options for adding a new event/action above or below the currently selected item.
* Disable inapplicable events/actions context menu options.
* Updated Russian language file.

4.2.0.2 Beta (2018-02-28)
* Avoid auto starting default preset when a preset will be loaded later from the command line arguments.

4.2.0.1 Beta (2018-02-23)
* Avoid a warning dialog when attempting to auto start planner without any events or actions.
* Added Dutch (Belgium) language file. Thanks to DoggyDaddy.


Shutter 4.2 (2018-01-20)
~~~~~~~~~~~~~~~~~~~~~~~~

4.1.0.2 Beta (2018-01-08)
* Added an option to use an average measurement in CPU Usage, Network Usage and Hard Disk Usage events.
* Added options to toggle event details and status in the tray icon hint.
* Fixed: Hard Disk Usage event not working. Regression introduced in v4.0.
* Added Japanese language file. Thanks to Tilt.
* Updated Russian language file.

4.1.0.1 Beta (2017-12-13)
* Check if directory exists when path ends with a directory separator in File Size event.
* Display "File found" status instead of file size when waiting for a file to no longer exist.
* Fixed: Incorrect event configuration in the event editing dialog when displayed for the first time.
* Fixed: Inconsistent progression of events with "1BY1" logic.
* Fixed: Indefinite wait when no events are available with "OR" logic.
* Refactored various event management routines.


Shutter 4.1 (2017-12-09)
~~~~~~~~~~~~~~~~~~~~~~~~

4.0.0.2 Alpha (2017-12-06)
* Implemented HTTPS (SSL/TLS) prococol for the Web Interface.
* Bundled OpenSSL library (openssl-1.0.2j-i386-win32).
* Find application language file independently of the executable file name.
* Use a timeout in the window enumeration procedure. Avoid blocking indefinitely if a target window is not responding.
* Increased width of action buttons on the main form, to better fit localized text.
* Updated French language file. Thanks to Igor Lachaud.

4.0.0.1 Alpha (2017-11-10)
* Converted application project from Delphi 7 to Lazarus/FPC.
* Dropped support for Windows 9x platform. New list of supported platforms: Windows 2000 and later.
* Added multilingual capability using PO files contained in the Languages folder.
* Added Russian, French and German language files.
* Unicode support for all features (except autorun via registry).
* Store all user data in user profile directory for the installer version.
* Automatic migration of data from VirtualStore.
* Added 256x256 application icon.
* Added browser icon for the Web Interface.
* Editable template files for the Web Interface. Default templates adhere to HTML5 standard specs.
* Added PNG screenshot format to the Web Interface. JPEG format remains optional.
* Added a choice of methods for monitoring user inactivity (Last Input Event, Low Level Hook, Injection Hook).
* Fixed incorrect status of the Window event when it is inactive.
* Translation friendly statement and status messages of events and actions.
* Added built-in version information, moving to x.x.x.x versioning.
* Use Settings.ini instead of <Application>.ini naming for settings.
* Correctly handle ampersands in preset names.
* Fixed cropped screenshot on High DPI desktops.
* Changed action/event configuration dialog to be resizable and increased initial size.
* Accept dropped directories in the Screenshot action configuration window.
* Improvements to the registration procedure.
* Refactored window enumeration routine.
* Display a message when an incorrect protection password is entered and offer to retry.
* Refactored preset management functions.
* Sort the list of presets by name.
* Added Russian language file.
* Added French language file. Thanks to Igor Lachaud.
* Added partial German language file. Thanks to Michael Weßeling.

3.8.1 Beta (2017-01-31)
* Added new "Screenshot" action, with sequential and date stamped naming options.


Shutter 3.8 (2016-05-09)
~~~~~~~~~~~~~~~~~~~~~~~~

3.7.7 Beta (2016-05-08)
* Added "Now" button for using the current time in On Time and Weekly events.
* Cleaner layout of User Inactive event configuration.

3.7.6 Beta (2016-03-27)
* Show Alarm and Message forms separately on taskbar.
* Fixed Alarm and Message forms not staying on top when main application form is hidden.
* Updated copyright information.

3.7.5 Beta (2016-03-01)
* Added "Run Preset" action. Allows execution of multiple event-action schedules.
* Warn if preset supplied through the command line could not be loaded. Do not silently start the default preset.
* Set error exit code when failed to execute quick action from the command line.

3.7.4 Beta (2016-02-03)
* Added quick actions: Turn Off Monitor, Mute Volume, Unmute Volume.
* Internal code refactoring for events and actions.
* Fixed miscoding of purchase URL on the Web Interface.

3.7.3 Beta (2015-11-26)
* Restart events when any kind of power resume occurs, instead of only when triggered by user input.
* Refactored internal suspend/resume operations on power events.

3.7.2 Beta (2015-11-22)
* Added new Weekly event for triggering actions on specific days of the week.
* Increased input range of hours/minutes/seconds to 10000 in Countdown event.
* Added optional date selection to On Time event.
* Cleaned layout of Countdown and On Time events.
* Added options to export events and actions to clipboard.
* Enable the shutdown privilege before suspending the system.
* Revised code for enabling the shutdown privilege.
* Revised code for detecting Windows version.

3.7.1 Beta (2015-10-10)
* Display status of each action in the new Status table column.
* Capture result of routines for quitting/closing/killing by window name.
* Use exit code "1" instead of "0" when killing external processes.
* Minor refactoring and code improvements.


Shutter 3.7 (2015-06-17)
~~~~~~~~~~~~~~~~~~~~~~~~

3.6.4 Beta (2015-03-15)
* Recreate icon when taskbar is recreated (Explorer restarts);
* Cleanup tray icon code;

3.6.3 Beta (2015-02-05)
* Added uninstaller icon;
* Added "Turn On" option to the Monitor action;

3.6.2 Beta (2015-01-20)
* Code refactoring and cleanup of system shutdown/sleep procedures;
* Fixed potential issue with Logoff action on Windows 9x platforms;
* Use newer shutdown/reboot API on Windows XP and later to capture the name
  of application and a custom shutdown message in the system event log;

3.6.1 Beta (2014-11-19)
* Fixed incorrect status message of countdown event when 1BY1 logic is used;


Shutter 3.6 (2014-10-04)
~~~~~~~~~~~~~~~~~~~~~~~~

3.5.2 Beta (2014-06-27)
* "File Size Limit" event renamed to "File Size";
* "File Size" event can be triggered when file no longer exists;
* "File Size" event checks file every second instead of 5 seconds;

3.5.1 Beta (2014-05-22)
* Use "MS Shell Dlg 2" font instead of "MS Shell Dlg" on Windows 2000 and later
  versions; This system font substitute maps to "Tahoma" which better handles
  ambiguity between letter "I" and digit "1";


Shutter 3.5 (2014-05-11)
~~~~~~~~~~~~~~~~~~~~~~~~

3.4.4 Beta (2014-04-12)
* Option to stop events when computer is going to hibernate/sleep
  and restart when wakes up has been broken down into 3 separate options;

3.4.3 Beta (2014-03-20)
* Hints for use of URL and MAILTO links in Open File action;
* Do not strip path from the file parameter in Open File action statement
  when URL or MAILTO links are used;
* Display "No additional configuration available" instead of blank panel;
* Updated icons in action configuration panels;
* Added copyright notices in Copyrights.txt;
* Updated icons in the Settings dialog;

3.4.2 Beta (2014-02-12)
* Added hint to run as administrator when failed to apply system settings;

3.4.1 Beta (2014-01-29)
* Removed donation link (donations are discontinued in favor of "Pro" version);


Shutter 3.4 (2014-01-11)
~~~~~~~~~~~~~~~~~~~~~~~~

3.3.10 Beta (2014-01-11)
* Added confirmation dialog before unregistering the product;
* Changed all tool window style forms to dialog style to prevent from
  hiding of the application from Alt+Tab task switching in Windows 7;

3.3.9 Beta (2013-12-22)
* License expiration is checked against UTC date instead of local;

3.3.8 Beta (2013-12-10)
* Opening web interface URL via Options was failing due to invalid URL
  when using IP address 0.0.0.0, so 127.0.0.1 will be used in such case; 

3.3.7 Beta (2013-12-10)
* Added icons to the status bar showing whether the web interface
  and protection options are enabled;
* Updated icons used on the main interface;
* Exiting via the tray icon option will shutdown the application
  gracefully instead of terminating it abruptly;
* Web interface now scales appropriately in mobile browsers;
* Explicitly turn off "autocapitalize" and "autocorrect" text field
  attributes in the Web Interface when displaying on iOS devices;
* Polished web interface pages and styles;
* Secondary windows are centered to the main window only on first show;
* Added shortcut keys to Start/Stop/Now actions: F5, F6, F7;
* Updated donation URL;

3.3.6 Beta (2013-10-17)
* Waiting cursor is displayed while starting events;

3.3.5 Beta (2013-10-17)
* Saving of events and actions on exit and loading on startup is optional;

3.3.3 Beta (2013-10-17)
* Added "Hard Disk Usage" event which triggers when read/write/total
  transfer speed drops below specified usage for a period of time;
* Added "Save" option for directly saving the currently loaded preset;
* Windows version warnings are now highlighted when not met;
* Fixed problem with re-selecting a correct network interface;
* Stop updating network event when network interface is gone;
* Added thousand separator to the network usage display;

3.3.2 Beta (2013-10-03)
* Fixed issue that caused incorrect limitation on number of presets;

3.3.1 Beta (2013-09-10)
* Option to prevent system idle sleep while Shutter is activated;
* Dynamically link GetLastInputInfo Win API function which is available
  only on Windows 2000 and later; Fixes startup problem on Windows 98/Me/NT;
* Screenshot functionality has been updated to handle multi-monitor desktops
  and semi-transparent windows (CAPTUREBLT flag); 
* Web interface will no longer activate Shutter with current events/actions
  when a non-existent preset has been supplied.
* Web interface pages are now translatable;


Shutter 3.3 (2013-09-04)
~~~~~~~~~~~~~~~~~~~~~~~~

3.2.3 Beta (2013-09-04)
* Issue date is displayed in the license details;

3.2.2 Beta (2013-08-26)
* Added purchase and compare editions options to the Help menu
  and Terms of Use dialog;

3.2.1 Beta (2013-08-25)
* Free version is now known as "Lite" and licensed version as "Pro";
* Maximum number of events is limited to 5 in the Lite version;
* Maximum number of actions is limited to 5 in the Lite version;
* Maximum number of presets is limited to 5 in the Lite version;
* Date format in the About dialog changed to YYYY-MM-DD;
* Web interface command line execution option is available only
  in the Pro version;


Shutter 3.2 (2013-08-20)
~~~~~~~~~~~~~~~~~~~~~~~~

3.1.6 Beta (2013-08-04)
* White spaces are stripped from the registration code to prevent issues;

3.1.5 Beta (2013-07-26)
* Dropdown menu of actions and events converted to a list menu;
* Enhanced "Close Window" action with methods: Close, Quit and Kill;
* Default method for "Close Window" action is changed from Quit to Close;
* Minor cosmetic and language related improvements;
* Fixed issue with retrieving common documents folder on some versions
  of Windows XP by replacing use of SHGetSpecialFolderLocation API
  with SHGetSpecialFolderPath;

3.1.3 Beta (2013-06-29)
* Fixed encoding issues in localized versions which affected
  web interface, action links and command line execution;

3.1.2 Beta (2013-06-23)
* Added option to autorun at windows logon for the current user;

3.1.1 Beta (2013-06-23)
* Updated tray icon images, larger with transparent corners;


Shutter 3.1 (2013-06-08)
~~~~~~~~~~~~~~~~~~~~~~~~

3.0.66 Beta
* Replaced the use of DragAcceptFiles with WS_EX_ACCEPTFILES in all forms;
* Added "GB" option to File Size Limit event;
* Right click on the white header of the About dialog will place
  application's version information in to the clipboard;

3.0.65 Beta
* Fixed problem with protection dialog showing multiple times
  as a result of multiple requests to show the interface;
* Protection option becomes a licensed feature;

3.0.64 Beta
* Radio option labels are clickable on the Web Interface;

3.0.63 Beta
* License file on Windows 9x/NT is stored in application folder
  without vendor subdirectories;

3.0.62 Beta
* Converted remaining constant strings to translatable resource strings;

3.0.61 Beta
* Minor cosmetic changes;

3.0.60 Beta
* Translation field in the About dialog became more apparent;
* Built-in registration facility and Terms of Use dialog;

3.0.55 Beta
* Changed how "Always on top" option is applied, it now requires a restart;
* Words used in event status and statements are now translatable;
* Added "Lid" event which allows monitoring of lid opening and closing events;
  This event is supported only on Vista and later versions of Windows!

3.0.53 Beta
* Updated wildcard hint to include [ and ] for character sets;

3.0.52 Beta
* Volume mute/unmute action now works on Windows Vista and higher;

3.0.51 Beta
* Logic names added to resource strings for translation;
* Added ability to monitor when specified process starts;
* Added ability to monitor when specified window opens;
* Renamed events "Process Stops" and "Windows Closes";
* Rearranged Help menu for better readability;

3.0.50 Beta
* Tray icon tip will display event status if not more than one event is running,
  otherwise, general status with running time will be displayed;
* Contact email address have been updated;

3.0.49 Beta
* Password protection dialog hides entered password with stars; 

3.0.47 Beta
* Sleep and Hibernate actions are not longer marked as Terminal;

3.0.46 Beta
* About dialog got a new color scheme;

3.0.45 Beta
* Added Above and Below choice for the CPU Usage event;

3.0.44 Beta
* Added "Exit application" button to the Message action dialog;

3.0.43 Beta
* Added Utilities action with options to close application, restart events 
  and pause execution, eliminating the need for similar global options;

3.0.42 Beta
* Added "click to add" overlay hints for tables;

3.0.41 Beta
* Corrected small problem with On Time event introduced in Beta 40;
* Logic is stored as text instead of integer value in presets;

3.0.40 Beta
* Logic "ALL" will continuously monitor events instead of restarting them periodically;

3.0.39 Beta
* New API will be used for detecting user inactivity on Windows 2000 and higher;

3.0.38 Beta
* Improvements to thread safety procedures in Inactivity library;
* All calls to help files and web links will be verbose on error;
* Added legal notice in the about dialog;

3.0.37 Beta
* Improvements to Inactivity library to better handle multiple instances,
  thread safe operations;

3.0.36 Beta
* "User Inactive" event will work independently for all instances;

3.0.35 Beta
* "On Time" event is now tracking the destination time as opposed to 
  using a countdown technique, making it resilient to time changes;
* All time related settings are stored in HH:MM:SS format in presets;
* All date-time pickers have been replaced by 3-part time fields;
* Power broadcast message handler returns 1 as recommended by MSDN;

3.0.33 Beta
* Time interval limit is increased for the Message action;
* New About dialog, list of changes moved to a text file;

3.0.32 Beta
* Completely redesigned application to allow usage of multiple events/actions!
* Presets: ability to save and load custom sets of events and actions!
* Process Stops and Window Closes events get configurable intervals;
* Options to actions: Message, Hang Up, Play Sound, Run Program, Close Window;
* Supported autorun of multiple copies of application;
* Added 2 new events: Network Usage and Screen Saver;
* Added 2 new actions: Open File and Kill Process;
* Added Protection settings, to restrict access to the application;
* Ability to set logic for execution of events: AND, OR, 1BY1, ALL;
* Ability to create links to all presets and configureless actions;
* Updated Inactivity.dll to allow multiple instance of User Inactive event;
* Some configuration windows are able to handle dropped files;
* Application's task bar is visible when main window is shown;
* Added 500ms waiting time before turning off the monitor;
* Positioning and size of the main windows are remembered;
* Added option to allow only one instance of the application;
* Added "Force critical" and "Disable wake event" options to Sleep/Hibernate;
* Added file size types and browse button to the File Size Limit event;
* Added option to disable balloon notification messages at tray icon;
* Added "Disable restart button" option to the Message action;
* Added option to increase the font size of content in tables;
* Mute/Unmute actions are now done via TAudioMixer component;
* Added Now button to execute actions immediately;
* Alarm action now has a proper alarm sound;
* All passwords are stored as secured MD5 hashes;
* Cleaned up and improved threaded ping functions;
* Added "Kill Process" option to the web interface;
* Web interface headers and pages now include "no-cache";
* Web interface has an ability to start up presets;
* Alarm window is flashing and making beeps;
* Countdown event is no longer limited to 24 hours;
* Main window snaps to the screen edges;
* Updated web interface html pages;
* A lot of other modifications;

Shutter 2.90  (7 October 2007)
------------------------------
* Added progress bar to the shutdown message;
* Text caret removed from the shutdown message;
* Fixed memory leaks produced by screenshots in the web interface;
* Fixed problem with screenshots (stopped appearing after several refreshes);
* Fixed problem with not saved settings when system is shutting down;
* "Continue" button renamed to "Action" in the shutdown message;

Shutter 2.85  (1 May 2007)
--------------------------
* Added option for the shutdown message to stay on top of other windows;
* Added option to minimize all windows before showing shutdown message;
* Added option to disable "Cancel" button in the shutdown message;
* Increased maximum length of the number of seconds in Low CPU Usage event;
* Increased maximum length of the number of seconds in Ping Stops event;
* Font has been changed to "MS Shell Dlg" for NT platforms to support ClearType;
* Fixed problem with unsaved settings caused by some shutdown procedures;
* Added "Offline Only" option to the Battery Low event, which will allow
  triggering the event only when computer is running on battery;

Shutter 2.80  (24 July 2006)
----------------------------
* Added new File Size Limit event, which is triggered whenever specified file
  has reached the specified size (zero can be used to trigger when file appears);
* Added new Hang Up action, to hang up all currently activated RAS connections;
* Added option to start event when computer wakes up from hibernate/sleep;
* Added option to minimize the main window when click on its close button;
* Added option to hang up all modem connections when an event gets triggered;
* Web Interface Server is initialized only when it is required to start, thus
  eliminating rare page faults on Windows 95 platforms while allocating socket;
* Fixed Access Violation error on Windows XP SP1 due to not found performance
  objects for collecting information on CPU usage, users of Windows XP SP1 will
  be able to run Shutter but will be unable to use Low CPU Usage event;  
* InactivityTimer.dll is linked dynamically now, it is required only for the User
  Inactive event, so Shutter became a standalone application once again;
* Icmp.dll is linked dynamically now, it is required only for the Ping Stops
  event, so users of Windows 9x can launch application without having to
  install network components;

Shutter 2.56  (29 May 2006)
---------------------------
* Fixed small bug with remembering Enabled Web Interface option;

Shutter 2.55  (28 May 2006)
---------------------------
* Added option to Hide Tray Icon, which can make Shutter invisible;
* Fixed rare flickering effect and closing problem of Tray's popup menu;
* Fixed problem with execution of Shutdown action on Windows 9x platforms,
  caused by badly documented EWX_FORCEIFHUNG switch in Windows API;
* Fixed long paths showing instead of filenames in the dropdown menu
  for the Process Stops event, occurred only on Windows 9x platforms;
* Fixed problem with writing INI file on Windows 98 platform, which raised
  a page fault error when user tried to close an application.
* Some graphical changes to the Options form;

Shutter 2.50  (30 April 2006)
-----------------------------
* Web Interface supports command line execution!
* Added 'UnMute Master Volume' action;
* Added 'Close program after event has been triggered' option;
* Added 'Stop event when computer is going to hibernate/sleep' option;
* 'Run Program' allows arguments to be used for launching a program;
* Fixed Web Interface restart issue, occurred after re-configuring the options;
* Updated dynamic pinging interval for 'Ping Stops' event, interval increases as
  increases the amount of seconds for host/ip to be dead to trigger the event;
* Added Shutdown Extra option: Close Windows that match Titles (allows wildcards);
* Rearranged order of execution of pre-shutdown procedures, now it is:
  1. Play Sound (if shutdown message to be shown - don't wait for sound to finish);
  2. Show Shutdown Message (canceling will result in stopping the playing sound);
  3. Run Program (always wait until program is closed/terminated);
  4. Close Windows that match Titles (don't wait);

Shutter 2.10  (18 February 2006)
--------------------------------
* New 'Ping Stops' event, allows pinging host/ip periodically and execute
  shutdown action when host/ip do not respond for specified amount of time;
* New 'No Action' action, for user who just want to execute pre-shutdown
  procedures, for example: run a program;
* Changed 'Restart Inactivity event' option to 'Restart All events';

Shutter 2.00  (7 December 2005)
-------------------------------
* Added Web Interface - allows Remote Execution of any Action, it also displays
  some run-time information about the computer: Logged In User, Up Time,
  List of Processes, Screenshot of a Desktop;
* New Window Closes event, which is checking if any visible window with a
  specified title is still open (allows * and ? wildcards);
* New Process Stops event, which is checking if selected process is still running;
* New Mute Master Volume action, allows muting the default sound card;
* Button "Now" executes shutdown action without pre-shutdown procedures;
* Added option to Restart Inactivity Event after it has been triggered;
* Added option to Create Shell Links to All Shutdown Actions;
* All Shutdown Actions are accessible via Popup Menu for immediate execution;
* Removed restriction for running only one instance of the application;
* Added Alarm Form, for use with Alarm action;

Shutter 1.02  (24 November 2005)
--------------------------------
* workaround for an issue with InactivityTimer.dll; timer could have been reset
  even when no mouse actions were made, due to Windows' nature of sending
  WM_MOUSEMOVE messages on change of focus/capture;

Shutter 1.01  (20 November 2005)
--------------------------------
* fixed incorrect Time format in Countdown, OnTime and UserInactive events,
  problem occurred on systems where time format has been set to AM/PM format;

Shutter 1.00  (3 October 2005)
------------------------------
* Inspired by a tool called SwitchOff, it had couple of things that did not work
  the way I wanted, so I decided to make my own Shutdown Tool: powerful
  and user friendly, supporting many different Events and Actions, that none
  of other shutdown tools can do;